Skip to main content
GET
List albums

Query Parameters

keyword
string

Album search DSL over title and artist names (artist:, year:, decade:). Requires limit.

artist_id
integer

Restrict to albums where this artist is explicit, or primary on visible tracks when the album has no explicit artists.

label_id
integer

Restrict to albums directly assigned to this non-deleted label.

limit
integer

Page size. Omit to receive every album.

Required range: x <= 100
offset
integer
default:0
order_column
enum<string>
default:released_at
Available options:
released_at,
song_count,
title
order_direction
enum<string>
default:desc
Available options:
asc,
desc

Response

All public albums, or one page of them when limit is set.

data
object[]
required
meta
object
required